org.fourthline.cling.support.model

## Enum Channel

- java.lang.Object
- - java.lang.Enum<Channel>
  - - org.fourthline.cling.support.model.Channel

- All Implemented Interfaces:
    Serializable, Comparable<Channel>

      public enum Channel
      extends Enum<Channel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CF`
    `LF`
    `LFC`
    `LFE`
    `LS`
    `Master`
    `RF`
    `RFC`
    `RS`
    `SD`
    `SL`
    `SR`
    `T`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Channel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Channel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Master

          public static final Channel Master

    - #### LF

          public static final Channel LF

    - #### RF

          public static final Channel RF

    - #### CF

          public static final Channel CF

    - #### LFE

          public static final Channel LFE

    - #### LS

          public static final Channel LS

    - #### RS

          public static final Channel RS

    - #### LFC

          public static final Channel LFC

    - #### RFC

          public static final Channel RFC

    - #### SD

          public static final Channel SD

    - #### SL

          public static final Channel SL

    - #### SR

          public static final Channel SR

    - #### T

          public static final Channel T

  - ### Method Detail

    - #### values

          public static Channel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Channel c : Channel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Channel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.